<?php 
ini_set('max_execution_time', 300);
$conexion1 = mysql_connect('localhost', 'root', 'root')or die(mysql_error()); //BASE DE DATOS LOCAL
$conexion2 = mysql_connect('190.196.156.120','itodoslo_evalle','vain2009')or die(mysql_error());//EXTERNA
$itodos = 'itodoslo_intranetits';
$postventa = 'basepostventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$querytipodepartamento = "SELECT id_tip_departamento, p.proyecto ,tip_departamento, sup_util , sup_terraza, num_dormitorios ,num_banos,num_camas 
						FROM  $itodos.tbl_tipo_departamentoxproyecto  dp
						INNER JOIN $itodos.tbl_proyecto p ON p.id_proyecto = dp.id_proyecto";
$resultado = mysql_query($querytipodepartamento,$conexion2); 		 	
	if(mysql_num_rows($resultado)> 0){
		while($fila = mysql_fetch_array($resultado)){
			  $proyecto = $fila['proyecto'];
			  //INSERT TBLTIPODEPARTAMENTO
			  $abreviatura = $fila['tip_departamento'];
			  $sup_util = $fila['sup_util'];
			  $sup_terraza = $fila['sup_terraza'];
			  $id_proyecto = buscaridproyecto($proyecto,$conexion1);
			  $num_dor = $fila['num_dormitorios'];
		 	  $num_baños =$fila['num_banos'];
			  $queryinsertmodelo= "INSERT INTO tblmodelopropiedades(`ID_TIPOPROPIEDAD`, `ABREVIATURA`, `SUP_UTIL`, `SUP_TERRAZA`) 
									VALUES ('1','$abreviatura','$sup_util','$sup_terraza')";
		  if(mysql_query($queryinsertmodelo,$conexion1)){
				  	$ultimo=mysql_insert_id($conexion1);
				 //NUMERO DE AMBIENTES
				switch ($num_dor) {
				    case 1:
				        $querydormitorios1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','13')";
				        mysql_query($querydormitorios1,$conexion1);
				        break;
				    case 2:
				        $querydormitorios1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','13')";
				        $querydormitorios2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','14')";
				        mysql_query($querydormitorios1,$conexion1);
				        mysql_query($querydormitorios2,$conexion1);

				        break;
				    case 3:
				    	$querydormitorios1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','13')";
				        $querydormitorios2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','14')";
	   			        $querydormitorios3= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','15')";
				        mysql_query($querydormitorios1,$conexion1);
				        mysql_query($querydormitorios2,$conexion1);
				        mysql_query($querydormitorios3,$conexion1);
				        break;
			         case 4:
			            $querydormitorios1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','13')";
				        $querydormitorios2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','14')";
	   			        $querydormitorios3= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','15')";
	   			        $querydormitorios4= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','16')";
				        mysql_query($querydormitorios1,$conexion1);
				        mysql_query($querydormitorios2,$conexion1);
				        mysql_query($querydormitorios3,$conexion1);
				        mysql_query($querydormitorios4,$conexion1);

				        break;
			         case 5:
			         	$querydormitorios1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','13')";
				        $querydormitorios2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','14')";
	   			        $querydormitorios3= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','15')";
	   			        $querydormitorios4= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','16')";
	 			        $querydormitorios5= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ($ultimo,'17')";
				        mysql_query($querydormitorios1,$conexion1);
				        mysql_query($querydormitorios2,$conexion1);
				        mysql_query($querydormitorios3,$conexion1);
				        mysql_query($querydormitorios4,$conexion1);
				        mysql_query($querydormitorios5,$conexion1);

				        break;
				}

				 //NUMERO DE AMBIENTES
				switch ($num_baños) {
				    case 1:
				        $querybaños1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','1')";
       					mysql_query($querybaños1,$conexion1);

				        break;
				    case 2:
				        $querybaños1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','1')";
				        $querybaños2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','2')";
						mysql_query($querybaños1,$conexion1);
						mysql_query($querybaños2,$conexion1);

				        break;
				    case 3:
				        $querybaños1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','1')";
				        $querybaños2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','2')";
	   			        $querybaños3= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','3')";
						mysql_query($querybaños1,$conexion1);
						mysql_query($querybaños2,$conexion1);
						mysql_query($querybaños3,$conexion1);

				        break;
			         case 4:
			        	$querybaños1= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','1')";
				        $querybaños2= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','2')";
	   			        $querybaños3= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','3')";
	   			        $querybaños4= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','4')";
			      		mysql_query($querybaños1,$conexion1);
						mysql_query($querybaños2,$conexion1);
						mysql_query($querybaños3,$conexion1);
						mysql_query($querybaños4,$conexion1);
				        break;
				}

				//INSERT POR DEFAULT
					$living= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','5')";
					$cocina= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','6')";
					$pasillo= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','7')";
					$hall= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','8')";
					$logia= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','9')";
					$terraza= "INSERT INTO tblambientesxmodelos(`ID_MODELO`, `ID_AMBIENTE`) VALUES ('$ultimo','10')";
					mysql_query($cocina,$conexion1);
					mysql_query($pasillo,$conexion1);
					mysql_query($hall,$conexion1);
					mysql_query($logia,$conexion1);
					mysql_query($terraza,$conexion1);
					mysql_query($living,$conexion1);



				  }else{
				  	echo mysql_error();
				 }
		}
	 }else{
	 	echo "NO TRAE FILAS";
	 }


//BUSCAMOS EL PROYECTO
function buscarproyecto($proyecto,$conexion1){
	$resultado = mysql_query("SELECT id_proyecto,proyecto FROM basepostventa.tblproyectos WHERE proyecto = '$proyecto'",$conexion1); 
	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}
//BUSCAR EL ID DEL PROYECTO
function buscaridproyecto($proyecto,$conexion1){
$resultado = mysql_query("SELECT id_proyecto FROM basepostventa.tblproyectos WHERE proyecto = '$proyecto'",$conexion1); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['id_proyecto']; 
	}  
 }


// function buscartipodepartamento($id_proyecto,$abreviatura,$conexion1){
// 		$resultado = mysql_query("SELECT id_tipodepartamento FROM basepostventa.tblmodelopropiedades WHERE abreviatura='$abreviatura'",$conexion1); 
// 	 if(mysql_num_rows($resultado)> 0){
// 	 	return "1";
// 	 }else{

// 	 	return "0";
// 	 }

//}

?>